Package org.apache.solr.common

# Class SolrDocumentList

java.lang.Object
java.util.AbstractCollection<SolrDocument>
java.util.AbstractList<SolrDocument>
java.util.ArrayList<SolrDocument>
org.apache.solr.common.SolrDocumentList

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<SolrDocument>`, `Collection<SolrDocument>`, `List<SolrDocument>`, `RandomAccess`, `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

public class SolrDocumentList extends ArrayList<SolrDocument> implements MapWriter
Represent a list of SolrDocuments returned from a search. This includes position and offset information.

Since:
  solr 1.3
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

## Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`SolrDocumentList()`

## Method Summary

Modifier and Type
Method
Description
`Float`
`getMaxScore()`
`long`
`getNumFound()`
`Boolean`
`getNumFoundExact()`
`long`
`getStart()`
`void`
`setMaxScore(Float maxScore)`
`void`
`setNumFound(long numFound)`
`void`
`setNumFoundExact(Boolean numFoundExact)`
`void`
`setStart(long start)`
`String`
`toString()`
`void`
`writeMap(MapWriter.EntryWriter ew)`
Writes this object's entries out to `ew`.

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractCollection

`containsAll`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, stream, toArray`

### Methods inherited from interface java.util.List

`containsAll`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

## Constructor Details

### SolrDocumentList

public SolrDocumentList()

## Method Details

### writeMap

public void writeMap(MapWriter.EntryWriter ew) throws IOException
Description copied from interface: `MapWriter`
Writes this object's entries out to `ew`.

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

### getNumFoundExact

public Boolean getNumFoundExact()

### setNumFoundExact

public void setNumFoundExact(Boolean numFoundExact)

### getMaxScore

public Float getMaxScore()

### setMaxScore

public void setMaxScore(Float maxScore)

### getNumFound

public long getNumFound()

### setNumFound

public void setNumFound(long numFound)

### getStart

public long getStart()

### setStart

public void setStart(long start)

### toString

public String toString()

Overrides:
  `toString` in class `AbstractCollection<SolrDocument>`